package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PaymentPresenterTest {

    @Test
    public void toStringPaymentTest(){
        Payment[] payments = new Payment[0];
        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "";

        String actual = presenter.toString(payments);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toStringMultiplePaymentTest() {
        Payment[] payments = new Payment[2];
        Payment paypal = new PayPal(4L, "Tia Mowry", "tia@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = paypal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPayPal Tia Mowry tia@mowry.com\n";

        String actual = presenter.toString(payments);
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void toStringByPayerName() {
        Payment[] payments = new Payment[2];
        Payment paypal = new PayPal(4L, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = paypal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "PayPal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringByPayerName(payments);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toStringByIdTest() {
        Payment[] payments = new Payment[2];
        Payment paypal = new PayPal(81L, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(120L, "Tia Mowry", "11432543", "134344551");

        payments[0] = paypal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "PayPal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringById(payments);
        Assert.assertEquals(expected, actual);
    }

}
